### Struct

# Gdk ColorState

since: 4.16

#### Description [src]

    struct GdkColorState {
      /* No available fields */
    }

A `GdkColorState` object provides the information to interpret colors and pixels in a variety of ways.

They are also known as color spaces.

Crucially, GTK knows how to convert colors from one color state to another.

`GdkColorState` objects are immutable and therefore threadsafe.

Available since: 4.16

#### Functions

###### gdk_color_state_get_rec2100_linear

Returns the color state object representing the linear rec2100 color space.

since: 4.16

###### gdk_color_state_get_rec2100_pq

Returns the color state object representing the rec2100-pq color space.

since: 4.16

###### gdk_color_state_get_srgb

Returns the color state object representing the sRGB color space.

since: 4.16

###### gdk_color_state_get_srgb_linear

Returns the color state object representing the linearized sRGB color space.

since: 4.16

#### Instance methods

###### gdk_color_state_create_cicp_params

Create a `GdkCicpParams` representing the colorstate.

since: 4.16

###### gdk_color_state_equal

Compares two `GdkColorStates` for equality.

since: 4.16

###### gdk_color_state_ref

Increase the reference count of `self`.

since: 4.16

###### gdk_color_state_unref

Decrease the reference count of `self`.

since: 4.16